# Puzzle scoreboard

## Dependencies

Rails installation guide: https://guides.rubyonrails.org/install_ruby_on_rails.html.

## Put in production

### Create a master key

```
bin/rails credentials:edit
```

### Build docker image

```
docker build -t puzzle_scoreboard .
```

### Run docker container

```
sudo docker run -d -p 3000:80 -e RAILS_MASTER_KEY=...  -v puzzle-data:/rails/storage --name puzzle_scoreboard puzzle_scoreboard
```

### Access command line

```
sudo docker exec -it puzzle_scoreboard /bin/bash
sudo docker exec -it puzzle_scoreboard /rails/bin/rails console
```

### Logs

Attach to the docker container to see live logs:

```
sudo docker container attach puzzle_scoreboard
```

Or look at the logs saved on the host machine:

```
sudo docker logs puzzle_scoreboard
```