# == Schema Information
#
# Table name: contestants
#
#  id           :integer          not null, primary key
#  display_time :string
#  email        :string
#  name         :string
#  time_seconds :integer
#  created_at   :datetime         not null
#  updated_at   :datetime         not null
#  contest_id   :integer          not null
#
# Indexes
#
#  index_contestants_on_contest_id  (contest_id)
#
# Foreign Keys
#
#  contest_id  (contest_id => contests.id)
#
class Contestant < ApplicationRecord
  belongs_to :contest
  has_many :completions, dependent: :destroy

  before_create :initialize_time_seconds

  validates :name, presence: true
  validates :time_seconds, presence: true

  private

  def initialize_time_seconds
    self.time_seconds = 0
  end
end
